Index: AUTHORS
===================================================================
--- AUTHORS	(revision 687)
+++ AUTHORS	(revision 760)
@@ -1,16 +1,16 @@
+HUGOlib was started as an inter-university project from two
+universities: BME (Budapest University of Technology and Economics,
+Hungary) and ELTE (Eotvos Lorand University, Budapest, Hungary) and
+supported by ETIK (Inter-University Centre for Telecommunications and
+Informatics).
 
-HUGOlib was started as an inter-university project from two universities:
-BME (Budapest University of Technology and Economics) and ELTE (Eotvos
-Lorand University) and supported by ETIK (Inter-University Centre for
-Telecommunications and Informatics).
-
-Many of this core team members are alse members of and supported by
+Many of this core team members are also members of and supported by
 Egervary Research Group on Combinatorial Optimization (EGRES,
 http://www.cs.elte.hu/egres/).
 
 Other supporters of this project are:
-High-Speed Network Lab (HSN, ???)
-CNL
-Ericsson
+High Speed Network Lab (HSN, ???)
+Communication Network Laboratory,
+Ericsson Hungary
 
 For every contributor we list the supporters who supported his or her
@@ -21,5 +21,4 @@
 (W), PGP key ID and fingerprint (P), description (D), snail-mail
 address (A), Subversion commit name (C), and the list of supporters (S)
-
 
 
Index: COPYING
===================================================================
--- COPYING	(revision 687)
+++ COPYING	(revision 760)
@@ -1,17 +1,17 @@
-
-HUGOlib project was started by a team of university students from ELTE and
-BME supported by ETIK. This core team coordinates the development but many
-others have contributed since. See the AUTHORS file for details.
+HUGOlib as a whole is copyrighted by Egerváry Jenõ Kombinatorikus
+Optimalizálási Kutatócsoport (Egervary Combinatorial Optimization
+Research Group, EGRES).
 
 You are free to use, modify and distribute HUGOlib under the terms
 described in the LICENSE file.
 
-HUGOlib as a whole is copyrighted by the HUGO team. Individual copyright
-notices can be found in the file headers. Furthermore, HUGOlib includes code
-from several external sources:
+This project is supported by
 
-Name:      Boost
-Version:   1.31.0
-Homepage:  http://www.boost.org/
-Files:     none
-License:   Boost Software License - Version 1.0
+* Egyetemközi Távközlési és Informatikai Központ (Inter-University
+  Centre for Telecommunications and Informatics, Hungary)
+
+* Traffic Analysis and Network Performance Laboratory,
+  Ericsson Research, Hungary
+
+* Department of Operations Research, Eötvös Loránd University,
+  Budapest
Index: LICENSE
===================================================================
--- LICENSE	(revision 687)
+++ LICENSE	(revision 760)
@@ -1,17 +1,8 @@
-This license applies to all portions of HUGOlib which are not
-externally-maintained libraries (e.g. megnincsilyen/, eseleg majd a glay...).
-Such libraries have their own licenses; we recommend you read them, as
-their terms may differ from the terms below.
+HUGOlib code without an explicit copyright is covered by the following
+copyright/license:
 
-This is version 1 of this license.  It is also available online at
-http://hugo.cs.elte.hu/license-1.html.  If newer versions of
-this license are posted there (the same URL, but with the version
-number incremented: .../license-2.html, .../license-3.html, and so
-on), you may use a newer version instead, at your option.
-
-This license is a verbatim copy of the Boost Software License, Version 1.0.
-(Kene kerni toluk engedelyt.)
-
-===========================================================================
+Copyright (C) 2003-2004 Egervary Jeno Kombinatorikus Optimalizalasi
+Kutatocsoport (Egervary Combinatorial Optimization Research Group,
+EGRES).
 
 Permission is hereby granted, free of charge, to any person or organization
@@ -36,2 +27,8 @@
 ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.
+
+===========================================================================
+This license is a verbatim copy of the Boost Software License, Version 1.0.
+%(Kene kerni toluk engedelyt.)
+
+
Index: src/hugo/template.h
===================================================================
--- src/hugo/template.h	(revision 687)
+++ src/hugo/template.h	(revision 760)
@@ -4,12 +4,14 @@
  * src/hugo/template.h - Part of HUGOlib, a generic C++ optimization library
  *
- * Copyright (C) 2004  Mihaly Barasz <klao@cs.elte.hu>
+ * Copyright (C) 2004 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Combinatorial Optimization Research Group, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
- * provided this copyright notice appears in all copies. For precise terms
- * see the accompanying LICENSE file.
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
  *
- * This software is provided "AS IS" with no warranty, either express or
- * implied, and with no claim as to its suitability for any purpose.
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
  *
  */
